import java.util.StringTokenizer;

/**
* This implementation of StringTokenizer demonstrates 
* how to break a text into individual words.
*/
class ParseText
{

    public static void main(String[] args)
    {
        
        ParseText parser = new ParseText();
        
        String text = "written text for tokenizing";
        parser.tokenizeDocument(text);
    }

    void tokenizeDocument(String doc)
    {
        StringTokenizer tokenizer = new StringTokenizer(doc);
        while (tokenizer.hasMoreTokens()) 
        {
            processToken(tokenizer.nextToken());
        }
    }
    
    void processToken(String token)
    {
        if(token != null) 
        {
            // could store, but just print for now
            System.out.println(token);
        }
    }
}
