package com.mindsnack.test;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class TestAll extends TestCase
{
  public static void main(String args[])
  {
    if (args.length > 0 && args[0].equals("gui"))
      junit.swingui.TestRunner.run(TestAll.class);
    else
      junit.textui.TestRunner.run(suite());
  }

  public TestAll(String name)
    { super(name); }

  public static Test suite() {
    TestSuite suite = new TestSuite();
    suite.addTestSuite( TestOrder.class );
    suite.addTestSuite( TestTriangle.class );
    suite.addTestSuite( TestMail.class );
    suite.addTestSuite( TestCombined.class );
    return suite;
  }

}
