package com.mindsnack.transactions;

public interface Transaction
{
  void begin() throws TransactionBegunException;

  boolean isBegun();

  boolean isRollbackOnly();
  void setRollbackOnly();
  void rollback();

  boolean commit();

  Object addToTransaction(Object orig, Copier helper);
}
